import { Injectable } from "@angular/core";
import { Resolve } from "@angular/router";
import { Set002Service } from "app/views/set/set002/set002.service";
import { Observable } from "rxjs/Observable";

@Injectable()
export class Set002Resolver implements Resolve<any> {
  constructor(private set002Service: Set002Service) {}

  resolve(): Observable<any> {

    return this.set002Service.selectedItem;
  }
}
